# Generated by CMake

if("${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}" LESS 2.6)
   message(FATAL_ERROR "CMake >= 2.6.0 required")
endif()
cmake_policy(PUSH)
cmake_policy(VERSION 2.6...3.20)
#----------------------------------------------------------------
# Generated CMake target import file.
#----------------------------------------------------------------

# Commands may need to know the format version.
set(CMAKE_IMPORT_FILE_VERSION 1)

# Protect against multiple inclusion, which would fail when already imported targets are added once more.
set(_targetsDefined)
set(_targetsNotDefined)
set(_expectedTargets)
foreach(_expectedTarget arbor::arbor-config-defs arbor::arbor-private-deps arbor::arborenv-private-deps arbor::arborio-private-deps arbor::arbor-public-deps arbor::mpi-wrap arbor::arbor-public-headers arbor::arbor-private-headers arbor::arbor arbor::arborenv-public-headers arbor::arborenv arbor::arborio-public-headers arbor::arborio)
  list(APPEND _expectedTargets ${_expectedTarget})
  if(NOT TARGET ${_expectedTarget})
    list(APPEND _targetsNotDefined ${_expectedTarget})
  endif()
  if(TARGET ${_expectedTarget})
    list(APPEND _targetsDefined ${_expectedTarget})
  endif()
endforeach()
if("${_targetsDefined}" STREQUAL "${_expectedTargets}")
  unset(_targetsDefined)
  unset(_targetsNotDefined)
  unset(_expectedTargets)
  set(CMAKE_IMPORT_FILE_VERSION)
  cmake_policy(POP)
  return()
endif()
if(NOT "${_targetsDefined}" STREQUAL "")
  message(FATAL_ERROR "Some (but not all) targets in this export set were already defined.\nTargets Defined: ${_targetsDefined}\nTargets not yet defined: ${_targetsNotDefined}\n")
endif()
unset(_targetsDefined)
unset(_targetsNotDefined)
unset(_expectedTargets)


# Compute the installation prefix relative to this file.
get_filename_component(_IMPORT_PREFIX "${CMAKE_CURRENT_LIST_FILE}" PATH)
# Use original install prefix when loaded through a
# cross-prefix symbolic link such as /lib -> /usr/lib.
get_filename_component(_realCurr "${_IMPORT_PREFIX}" REALPATH)
get_filename_component(_realOrig "/usr/lib/mpich/lib/cmake/arbor" REALPATH)
if(_realCurr STREQUAL _realOrig)
  set(_IMPORT_PREFIX "/usr/lib/mpich/lib/cmake/arbor")
endif()
unset(_realOrig)
unset(_realCurr)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
if(_IMPORT_PREFIX STREQUAL "/")
  set(_IMPORT_PREFIX "")
endif()

# Create imported target arbor::arbor-config-defs
add_library(arbor::arbor-config-defs INTERFACE IMPORTED)

set_target_properties(arbor::arbor-config-defs PROPERTIES
  INTERFACE_COMPILE_DEFINITIONS "ARB_HAVE_MPI"
)

# Create imported target arbor::arbor-private-deps
add_library(arbor::arbor-private-deps INTERFACE IMPORTED)

set_target_properties(arbor::arbor-private-deps PROPERTIES
  INTERFACE_COMPILE_OPTIONS "-mcpu=native;\$<:-fvisibility=hidden>;\$<:-Xcompiler=-fvisibility=hidden>"
  INTERFACE_LINK_LIBRARIES "arbor::arbor-config-defs;dl;Threads::Threads"
)

# Create imported target arbor::arborenv-private-deps
add_library(arbor::arborenv-private-deps INTERFACE IMPORTED)

set_target_properties(arbor::arborenv-private-deps PROPERTIES
  INTERFACE_COMPILE_OPTIONS "-mcpu=native;\$<:-fvisibility=hidden>;\$<:-Xcompiler=-fvisibility=hidden>"
  INTERFACE_LINK_LIBRARIES "arbor::arbor-config-defs"
)

# Create imported target arbor::arborio-private-deps
add_library(arbor::arborio-private-deps INTERFACE IMPORTED)

set_target_properties(arbor::arborio-private-deps PROPERTIES
  INTERFACE_COMPILE_OPTIONS "-mcpu=native;\$<:-fvisibility=hidden>;\$<:-Xcompiler=-fvisibility=hidden>"
  INTERFACE_LINK_LIBRARIES "arbor::arbor-config-defs"
)

# Create imported target arbor::arbor-public-deps
add_library(arbor::arbor-public-deps INTERFACE IMPORTED)

set_target_properties(arbor::arbor-public-deps PROPERTIES
  INTERFACE_LINK_LIBRARIES "arbor::mpi-wrap"
)

# Create imported target arbor::mpi-wrap
add_library(arbor::mpi-wrap INTERFACE IMPORTED)

set_target_properties(arbor::mpi-wrap PROPERTIES
  INTERFACE_COMPILE_DEFINITIONS "MPICH_SKIP_MPICXX=1;OMPI_SKIP_MPICXX=1"
  INTERFACE_LINK_LIBRARIES "MPI::MPI_CXX"
)

# Create imported target arbor::arbor-public-headers
add_library(arbor::arbor-public-headers INTERFACE IMPORTED)

set_target_properties(arbor::arbor-public-headers PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
)

# Create imported target arbor::arbor-private-headers
add_library(arbor::arbor-private-headers INTERFACE IMPORTED)

# Create imported target arbor::arbor
add_library(arbor::arbor STATIC IMPORTED)

set_target_properties(arbor::arbor PROPERTIES
  INTERFACE_LINK_LIBRARIES "\$<LINK_ONLY:arbor::arbor-private-deps>;\$<LINK_ONLY:arbor::arbor-private-headers>;arbor::arbor-public-deps;arbor::arbor-public-headers"
)

# Create imported target arbor::arborenv-public-headers
add_library(arbor::arborenv-public-headers INTERFACE IMPORTED)

set_target_properties(arbor::arborenv-public-headers PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
)

# Create imported target arbor::arborenv
add_library(arbor::arborenv STATIC IMPORTED)

set_target_properties(arbor::arborenv PROPERTIES
  INTERFACE_LINK_LIBRARIES "arbor::arbor;arbor::arborenv-public-headers;\$<LINK_ONLY:arbor::arbor-config-defs>;\$<LINK_ONLY:arbor::arborenv-private-deps>"
)

# Create imported target arbor::arborio-public-headers
add_library(arbor::arborio-public-headers INTERFACE IMPORTED)

set_target_properties(arbor::arborio-public-headers PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
)

# Create imported target arbor::arborio
add_library(arbor::arborio STATIC IMPORTED)

set_target_properties(arbor::arborio PROPERTIES
  INTERFACE_LINK_LIBRARIES "arbor::arbor;arbor::arborio-public-headers;\$<LINK_ONLY:arbor::arbor-config-defs>;\$<LINK_ONLY:arbor::arborio-private-deps>"
)

if(CMAKE_VERSION VERSION_LESS 3.0.0)
  message(FATAL_ERROR "This file relies on consumers using CMake 3.0.0 or greater.")
endif()

# Load information for each installed configuration.
get_filename_component(_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH)
file(GLOB CONFIG_FILES "${_DIR}/arbor-targets-*.cmake")
foreach(f ${CONFIG_FILES})
  include(${f})
endforeach()

# Cleanup temporary variables.
set(_IMPORT_PREFIX)

# Loop over all imported files and verify that they actually exist
foreach(target ${_IMPORT_CHECK_TARGETS} )
  foreach(file ${_IMPORT_CHECK_FILES_FOR_${target}} )
    if(NOT EXISTS "${file}" )
      message(FATAL_ERROR "The imported target \"${target}\" references the file
   \"${file}\"
but this file does not exist.  Possible reasons include:
* The file was deleted, renamed, or moved to another location.
* An install or uninstall procedure did not complete successfully.
* The installation package was faulty and contained
   \"${CMAKE_CURRENT_LIST_FILE}\"
but not all the files it references.
")
    endif()
  endforeach()
  unset(_IMPORT_CHECK_FILES_FOR_${target})
endforeach()
unset(_IMPORT_CHECK_TARGETS)

# This file does not depend on other imported targets which have
# been exported from the same project but in a separate export set.

# Commands beyond this point should not need to know the version.
set(CMAKE_IMPORT_FILE_VERSION)
cmake_policy(POP)
